## org.eclipse.emf.edit.provider
Interface IItemColorProvider

All Known Implementing Classes:
  AdapterFactoryItemDelegator, DelegatingWrapperItemProvider, FeatureMapEntryWrapperItemProvider, ItemPropertyDescriptor.ItemDelegator, ItemProvider

    public interface IItemColorProvider

This is the interface implemented to provide a color for an item; it receives delegated calls from IColorProvider. Colors are expressed in a platform independent way as URIs in one of two forms:

      color://rgb/<red>/<green>/<blue>
      color://hsb/<hue>/<saturation>/<brightness>

The "rgb" form specifies the values for red, green, and blue as integral values in the range of 0-255. The "hsb" form specifies the values for hue, saturation, and brightness as decimal values in the range of 0-360, 0-1, and 0-1 respectively. The hue, saturation, or brightness can be specified as "foreground" or "background, or can even be omitted as a shorthand to specify "foreground", to indicate that the value of the current viewer's foreground or background color should be used as the specified value.

Other schemes may be supported. In particular, it's expected that forms that specify color based on named user preference will be supported.

Field Summary
`static URI` `GRAYED_OUT_COLOR` An instance object used to specify a grayed out version of the viewer's current foreground color.

Method Summary
`java.lang.Object` `getBackground(java.lang.Object object)` This does the same thing as IColorProvider.getBackground, it fetches the background color specific to this object instance.
`java.lang.Object` `getForeground(java.lang.Object object)` This does the same thing as IColorProvider.getForeground, it fetches the foreground color specific to this object instance.

Field Detail

### GRAYED_OUT_COLOR

    static final URI GRAYED_OUT_COLOR

  An instance object used to specify a grayed out version of the viewer's current foreground color.

       color://hsb///0.5

Method Detail

### getForeground

    java.lang.Object getForeground(java.lang.Object object)

  This does the same thing as IColorProvider.getForeground, it fetches the foreground color specific to this object instance.

### getBackground

    java.lang.Object getBackground(java.lang.Object object)

  This does the same thing as IColorProvider.getBackground, it fetches the background color specific to this object instance.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.